notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
This referral link gives you 10% off a Fastmail.com account and gives me a discount on my Fastmail account.

Get notified when packages are built

A new feature has been added. FreshPorts already tracks package built by the FreeBSD project. This information is displayed on each port page. You can now get an email when FreshPorts notices a new package is available for something on one of your watch lists. However, you must opt into that. Click on Report Subscriptions on the right, and New Package Notification box, and click on Update.

Finally, under Watch Lists, click on ABI Package Subscriptions to select your ABI (e.g. FreeBSD:14:amd64) & package set (latest/quarterly) combination for a given watch list. This is what FreshPorts will look for.

Port details
rubygem-rqrcode_core Ruby library for encoding QR Codes
1.2.0 www on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 1.2.0Version of this port present on the latest quarterly branch.
Maintainer: bofh@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2022-11-19 18:30:07
Last Update: 2023-01-14 23:08:33
Commit Hash: 18c6e18
Also Listed In: rubygems
License: MIT
WWW:
https://github.com/whomwah/rqrcode_core
Description:
rqrcode_core is a library for encoding QR Codes in pure Ruby. It has a simple interface with all the standard qrcode options. It was originally adapted in 2008 from a Javascript library by Kazuhiko Arase. Features: * rqrcode_core is a Ruby only library. It requires no 3rd party libraries. Just Ruby! * It is an encoding library. You can't decode QR Codes with it. * The interface is simple and assumes you just want to encode a string into a QR Code, but also allows for encoding multiple segments. * QR Code is trademarked by Denso Wave inc. rqrcode_core is the basis of the popular rqrcode gem. This gem allows you to generate different renderings of your QR Code, including png, svg and ansi.
Homepage    cgit ¦ Codeberg ¦ GitHub ¦ GitLab ¦ SVNWeb - no subversion history for this port

Manual pages:
FreshPorts has no man page information for this port.
pkg-plist: as obtained via: make generate-plist
Expand this list (3 items)
Collapse this list.
  1. /usr/local/share/licenses/rubygem-rqrcode_core-1.2.0/catalog.mk
  2. /usr/local/share/licenses/rubygem-rqrcode_core-1.2.0/LICENSE
  3. /usr/local/share/licenses/rubygem-rqrcode_core-1.2.0/MIT
Collapse this list.
Dependency lines:
  • rubygem-rqrcode_core>0:www/rubygem-rqrcode_core
To install the port:
cd /usr/ports/www/rubygem-rqrcode_core/ && make install clean
To add the package, run one of these commands:
  • pkg install www/rubygem-rqrcode_core
  • pkg install rubygem-rqrcode_core
NOTE: If this package has multiple flavors (see below), then use one of them instead of the name specified above.
PKGNAME: rubygem-rqrcode_core
Flavors: there is no flavor information for this port.
distinfo:
TIMESTAMP = 1668881506 SHA256 (rubygem/rqrcode_core-1.2.0.gem) = cf4989dc82d24e2877984738c4ee569308625fed2a810960f1b02d68d0308d1a SIZE (rubygem/rqrcode_core-1.2.0.gem) = 18944

Packages (timestamps in pop-ups are UTC):
rubygem-rqrcode_core
ABIaarch64amd64armv6armv7i386powerpcpowerpc64powerpc64le
FreeBSD:13:latest1.2.01.2.0-1.2.01.2.0---
FreeBSD:13:quarterly1.2.01.2.01.2.01.2.01.2.01.2.01.2.01.2.0
FreeBSD:14:latest1.2.01.2.01.2.01.2.01.2.01.2.0-1.2.0
FreeBSD:14:quarterly1.2.01.2.0-1.2.01.2.01.2.01.2.01.2.0
FreeBSD:15:latest1.2.01.2.0n/a1.2.0n/a1.2.01.2.01.2.0
Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. ruby30 : lang/ruby30
  2. gem : devel/ruby-gems
Runtime dependencies:
  1. ruby30 : lang/ruby30
  2. gem : devel/ruby-gems
Patch dependencies:
  1. ruby30 : lang/ruby30
  2. gem : devel/ruby-gems
Extract dependencies:
  1. ruby30 : lang/ruby30
This port is required by:
for Run
  1. www/rubygem-rqrcode

Deleted ports which required this port:

Expand this list of 1 deleted port
  1. www/rubygem-rqrcode2*
  2. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
No options to configure
Options name:
www_rubygem-rqrcode_core
USES:
gem
FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://rubygems.org/downloads/
Collapse this list.

Number of commits found: 2

Commit History - (may be incomplete: for full details, see links to repositories near top of page)
CommitCreditsLog message
1.2.0
14 Jan 2023 23:08:33
commit hash: 18c6e18276691edf5274406bf82a3b06792ff9aecommit hash: 18c6e18276691edf5274406bf82a3b06792ff9aecommit hash: 18c6e18276691edf5274406bf82a3b06792ff9aecommit hash: 18c6e18276691edf5274406bf82a3b06792ff9ae files touched by this commit
Muhammad Moinur Rahman (bofh) search for other commits by this committer
Mk/**ruby.mk: Switch from USE_RUBY=yes to USES=ruby

Switch from Mk/bsd.ruby.mk to Mk/Uses/ruby.mk

Notable changes are.

- Mk/bsd.ruby.mk is moved to Mk/Uses/ruby.mk.
- USE_RUBY=yes is replaced with USES=ruby.
- USE_RUBY_EXTCONF is replaced with USES=ruby:extconf.
- USE_RUBY_RDOC is replaced with USES=ruby:rdoc.
- USE_RUBY_SETUP is replaces with USES=ruby:setup.
- RUBY_NO_BUILD_DEPENDS and RUBY_NO_RUN_DEPENDS are replaced with
  USES=ruby:{build,none,run}.
- RUBY_REQUIRE isn't used anywhere, so removed.
- USES=gem now implies USES=ruby.

This is mainly the work of yasu@ at https://reviews.freebsd.org/D27863

I have just made some cosmetic changes and ran exp-run to test that the
tree is not in a BROKEN state.

Approved by:	portmgr
Differential Revision:	https://reviews.freebsd.org/D37925
1.2.0
19 Nov 2022 18:27:17
commit hash: dac64a7cd8f6919fffc789073c3683f1030cc617commit hash: dac64a7cd8f6919fffc789073c3683f1030cc617commit hash: dac64a7cd8f6919fffc789073c3683f1030cc617commit hash: dac64a7cd8f6919fffc789073c3683f1030cc617 files touched by this commit
Muhammad Moinur Rahman (bofh) search for other commits by this committer
www/rubygem-rqrcode_core: New port

rqrcode_core is a library for encoding QR Codes in pure Ruby. It has a
simple interface with all the standard qrcode options. It was originally
adapted in 2008 from a Javascript library by Kazuhiko Arase.

Features:
* rqrcode_core is a Ruby only library. It requires no 3rd party
  libraries. Just Ruby!
* It is an encoding library. You can't decode QR Codes with it.
* The interface is simple and assumes you just want to encode a string
  into a QR Code, but also allows for encoding multiple segments.
* QR Code is trademarked by Denso Wave inc.

rqrcode_core is the basis of the popular rqrcode gem. This gem allows
you to generate different renderings of your QR Code, including png, svg
and ansi.

Sponsored by:	Nepustil

Number of commits found: 2